.section	".rodata"
.align	8
.section	".text"
f_9:
	cmp	%i2, 0
	bl	bge_else_32
	nop
	st	%i2, [%i0 + 0]
	st	%o5, [%i0 + 4]
	st	%o7, [%i0 + 12]
	call	min_caml_print_int
	add	%i0, 16, %i0	! delay slot
	sub	%i0, 16, %i0
	ld	[%i0 + 12], %o7
	set	1, %i2
	ld	[%i0 + 4], %i3
	st	%o7, [%i0 + 12]
	call	min_caml_create_array
	add	%i0, 16, %i0	! delay slot
	sub	%i0, 16, %i0
	ld	[%i0 + 12], %o7
	ld	[%i2 + 0], %o5
	ld	[%i0 + 0], %i2
	sub	%i2, 1, %i2
	ld	[%o5 + 0], %o4
	jmp	%o4
	nop
bge_else_32:
	retl
	nop
.global	min_caml_start
min_caml_start:
	save	%sp, -112, %sp
	mov	%i1, %o5
	add	%i1, 8, %i1
	set	f_9, %i2
	st	%i2, [%o5 + 0]
	set	9, %i2
	st	%o7, [%i0 + 4]
	ld	[%o5 + 0], %o4
	call	%o4
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	ret
	restore
